<?php

use Dotenv\Dotenv;

require_once __DIR__ . '/vendor/autoload.php';
$dotenv = Dotenv::createImmutable(__DIR__);
$dotenv->load();

require_once "lib/Core/Config.php";
try {
    $control = isset($argv[1]) ? $argv[1] : "lib\\Controllers\\SiteController";
    $control = new $control();
    $function = isset($argv[2]) ? $argv[2] : "dashboard";
    $key_name = "sitekey";
    $sitekey = array_key_exists($key_name, $_GET) ? $_GET[$key_name] : false;
    $sitekey = isset($arvg[3]) ? $argv[1] : "dbms.prime-idc.jp";
    return $control->$function($sitekey);
} catch (\Exception $e) {
    echo $e->getMessage();
}
